summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-04-01 03:34:28 +0200
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-04-01 12:58:07 +0000
commit0f3bccfcf4abaf0b12821881ad45861882598871 (patch)
tree4e8b0b37e7ae254f7688466118b89eed5c21617b
parenta7bbc1c387bfca0598586dcd7972d8ff792866c0 (diff)
downloadtde-packaging-gentoo-0f3bccfc.tar.gz
tde-packaging-gentoo-0f3bccfc.zip
Live ebuilds: Add preliminary `KNmap` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/knmap/knmap-9999.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/trinity-apps/knmap/knmap-9999.ebuild b/trinity-apps/knmap/knmap-9999.ebuild
new file mode 100644
index 00000000..4ccd6c62
--- /dev/null
+++ b/trinity-apps/knmap/knmap-9999.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="de"
+
+inherit trinity-base-2
+
+DESCRIPTION="Nmap graphical interface for TDE"
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+RDEPEND+=" net-analyzer/nmap"
+
+src_configure() {
+ mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+
+ trinity-base-2_src_configure
+} \ No newline at end of file